E_MODEL_LAVA_PLANE = smlua_model_util_get_id("lava_plane")
COL_LAVA_PLANE = smlua_collision_util_get("lava_plane_collision")
E_MODEL_HEXAGON_PLATFORM = smlua_model_util_get_id("hexagon_platform")
COL_HEXAGON_PLATFORM = smlua_collision_util_get("hexagon_platform_collision")

function bhv_lava_plane_init(obj)
    obj_set_model_extended(obj, E_MODEL_LAVA_PLANE)
    obj.collisionData = COL_LAVA_PLANE
end

function bhv_hex_platform_init(obj)
	obj.oFlags = OBJ_FLAG_COMPUTE_DIST_TO_MARIO | OBJ_FLAG_SET_FACE_YAW_TO_MOVE_YAW | OBJ_FLAG_UPDATE_GFX_POS_AND_ANGLE
	bhv_ssl_moving_pyramid_wall_init()
    obj_set_model_extended(obj, E_MODEL_HEXAGON_PLATFORM)
    obj.collisionData = COL_HEXAGON_PLATFORM
	
end

function bhv_hex_platform_loop(obj)
    bhv_ssl_moving_pyramid_wall_loop()
	load_object_collision_model()
end

bhvLavaPlane = hook_behavior(id_bhvSslMovingPyramidWall, OBJ_LIST_SURFACE, false, bhv_lava_plane_init, nil)
bhvHexPlatform = hook_behavior(id_bhvBitfsTiltingInvertedPyramid, OBJ_LIST_SURFACE, true, bhv_hex_platform_init, bhv_hex_platform_loop)
